import 'package:cloud_functions/cloud_functions.dart';
import 'package:flutter/services.dart';

abstract class BackendService {
  Future<String> createToken(String identity);
}

class FirebaseFunctions implements BackendService {
  FirebaseFunctions._();

  static final instance = FirebaseFunctions._();

  final CloudFunctions cf = CloudFunctions();

  @override
  Future<String> createToken(String identity) async {
    try {
      final response = await cf
          .getHttpsCallable(functionName: 'twilio-getTwilioAccessToken')
          .call(<String, dynamic>{
        'identity': identity,
      });
      return Map<String, String>.from(response.data)['token'];
    } on CloudFunctionsException catch (e) {
      throw PlatformException(
        code: e.code,
        message: e.message,
        details: e.details,
      );
    }
  }
}
