part of twilio_chat_plugin;

class ChannelDescriptor {
  String _sid;

  String _createdBy;

  DateTime _dateCreated;

  DateTime _dateUpdated;

  String _friendlyName;

  String _uniqueName;

  int _membersCount;

  int _messagesCount;

  int _unconsumedMessagesCount;

  String get sid => _sid;

  String get createdBy => _createdBy;

  DateTime get dateCreated => _dateCreated;

  DateTime get dateUpdated => _dateUpdated;

  String get friendlyName => _friendlyName;

  String get uniqueName => _uniqueName;

  int get unconsumedMessagesCount => _unconsumedMessagesCount;

  int get messagesCount => _messagesCount;

  int get membersCount => _membersCount;

  ChannelDescriptor.fromJson(Map<String, dynamic> json) {
    _sid = json['sid'];
    _createdBy = json['createdBy'];
    if (json['dateCreated'] != null && json['dateCreated'] != "") {
      _dateCreated = datetimeFormat.parse(json['dateCreated']);
    }
    if (json['dateCreated'] != null && json['dateUpdated'] != "") {
      _dateUpdated = datetimeFormat.parse(json['dateUpdated']);
    }

    _friendlyName = json['friendlyName'];
    _uniqueName = json['uniqueName'];
    _unconsumedMessagesCount = json['unconsumedMessagesCount'];
    _messagesCount = json['messagesCount'];
    _membersCount = json['membersCount'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['sid'] = this.sid;
    data['createdBy'] = this.createdBy;
    data['dateCreated'] = datetimeFormat.format(this.dateCreated);
    data['dateUpdated'] = datetimeFormat.format(this.dateUpdated);
    data['friendlyName'] = this.friendlyName;
    data['uniqueName'] = this.uniqueName;
    data['unconsumedMessagesCount'] = this.unconsumedMessagesCount;
    data['messagesCount'] = this.messagesCount;
    data['membersCount'] = this.membersCount;
    return data;
  }
}
