part of twilio_chat_plugin;

class Member {
  String _identity;

  String _sid;

  DateTime _lastConsumptionTimestamp;

  int _lastConsumedMessageIndex;

  String get identity => _identity;

  String get sid => _sid;

  DateTime get lastConsumptionTimestamp => _lastConsumptionTimestamp;

  int get lastConsumedMessageIndex => _lastConsumedMessageIndex;

  Member.fromJson(Map<String, dynamic> json) {
    _identity = json['identity'];
    _sid = json['sid'];
    if (json['lastConsumptionTimestamp'] != null &&
        json['lastConsumptionTimestamp'] != "") {
      _lastConsumptionTimestamp =
          datetimeFormat.parse(json['lastConsumptionTimestamp']);
    } else {
      _lastConsumptionTimestamp = null;
    }
    _lastConsumedMessageIndex = json['lastConsumedMessageIndex'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['identity'] = this.identity;
    data['sid'] = this.sid;
    data['lastConsumptionTimestamp'] =
        datetimeFormat.format(this.lastConsumptionTimestamp);
    data['lastConsumedMessageIndex'] = this.lastConsumedMessageIndex;
    return data;
  }
}
